Subject: Re: [PATCH 01/10] ASoC: fsl_ssi: Remove unused struct device

From: Mark Brown <[email-masked]>
Date: Tue, 5 Dec 2017 13:04:46 +0000

On Mon, Dec 04, 2017 at 12:46:34PM -0800, Nicolin Chen wrote:
> struct device is defined in system level header files any way.
> As long as fsl_ssi.h is included after those header files, it
> should be safe to remove this line.

It's better practice to either directly include those headers or have a
forward declaration like this, it means there's no way things can go
wrong.